Repository 32bit  Forum
Repository 64bit  Wiki

Dubbio multilib

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Dubbio multilib

Messaggioda stef23 » gio feb 16, 2012 19:29

Ciao a tutti, ho una slackware 13.37 64 bit, e ho fatto il multilib di alien bob seguendo questa guida http://www.slacky.eu/wikislack/index.php?title=Multilib_Slackware_per_x86_64. Adesso volevo installare il pacchetto playonlinux, che è solo a 32 bit. Per funzionare ha bisogno di wine (che ho già installato), wxPython e cabextract. Mi è venuto un dubbio riguardo all'utilizzo dello script convertpkg-compat32: siccome ho già installato wxPython a 64 bit, devo scaricarlo anche a 32 bit e convertirlo con convertpkg? Devo convertire anche cabextract o visto che non mi interessa cabextract a 64 bit posso evitare di convertirlo?
Grazie
stef23
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: dom ott 09, 2011 11:55
Slackware: 13.37
Kernel: 2.6.37.6
Desktop: Kde 4.5.5

Re: Dubbio multilib

Messaggioda 414N » gio feb 16, 2012 19:52

Riguardo wxPython, dato che si tratta di una libreria condivisa devi scaricare il pacchetto a 32 bit (o compilartelo da te) e convertirlo in "versione compat32" con convertpkg-compat32.
Per quanto riguarda cabextract, dato che si tratta di un semplice programma senza alcuna libreria condivisa inclusa basta il pacchetto semplice (io ce l'ho a 64 bit).
In soldoni, lo script convertpkg-compat32 lo dovresti usare ogni qualvolta ti trovi a dover installare pacchetti contenenti librerie condivise per programmi a 32 bit. Per capirlo puoi guardare l'elenco dei file contenuti negli omologhi pacchetti a 64 bit che hai già installato nel sistema controllando il contenuto dei file in /var/log/packages.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Dubbio multilib

Messaggioda m0rdr3d » ven feb 17, 2012 9:44

Oppure puoi ricompilarti il pacchetto a 64 bit, ed installare librerie di compatibilità solo in caso di problemi con il gioco che devi installare.
Avatar utente
m0rdr3d
Linux 2.4
Linux 2.4
 
Messaggi: 404
Iscritto il: dom dic 24, 2006 13:40
Slackware: Slackware64-current
Kernel: 3.4.*
Desktop: KDE 4.8.2

Re: Dubbio multilib

Messaggioda stef23 » ven feb 17, 2012 12:47

ma quindi se devo installare playonlinux, visto che è scritto in python devo avere anche le librerie wxPython a 32 bit o posso farne a meno?
stef23
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: dom ott 09, 2011 11:55
Slackware: 13.37
Kernel: 2.6.37.6
Desktop: Kde 4.5.5

Re: Dubbio multilib

Messaggioda miklos » ven feb 17, 2012 12:56

stef23 ha scritto:ma quindi se devo installare playonlinux, visto che è scritto in python devo avere anche le librerie wxPython a 32 bit o posso farne a meno?

potrei sbagliarmi, ma a me risulta che sia un 'semplice' wrapper per wine.. quindi forse la cosa fondamentale e avere l'ambiente a 32bit adeguato per wine e non per python.
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1212
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Google [Bot] e 2 ospiti

cron